Exchange an API key for a platform access token
POST
/platform/auth/tokenTrades an API key (_) for a short-lived platform access token plus a refresh token.
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.ExchangeRequest",
"$ref-value": {
"properties": {
"api_key": {
"type": "string"
}
},
"required": [
"api_key"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/types.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/platform/auth/token" \
-H "Content-Type: application/json" \
-d '{
"api_key": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/types.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}